@import "_mixins";
@import "_normalize";

.webgl {
  position: fixed;
  top: 0;
  left: 0;
  outline: none;
}

.loader{
    position: fixed;
    z-index: -10;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: #fff;
    display: none;
    align-items: center;
    justify-content: center;

    &__img {
        display: block;
        max-width: 400px;
    }

    &.shown{
        z-index: 10;
        display: flex;
    }
}

.close {
  display: inline-block;
  position: absolute;
  top: 15px;
  right: 15px;
  width: 24px;
  height: 24px;
  cursor: pointer;

  &::after,
  &:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 16px;
    height: 2px;
    background-color: #000;
    transform: translate(-50%, -50%) rotate(45deg);
    transition: all 0.3s ease;
  }
  
  &:after {
    transform: translate(-50%, -50%) rotate(-45deg);
  }
  
  @include br-p(991px, min) {
    &:hover {
      &::after,
      &:before {
        background-color: #f00;
      }
    }
  }
}

.qr{
    position: fixed;
    cursor: pointer;
    z-index: 3;
    right: 10px;
    bottom: 10px;
    width: 40px;
    transition: width .4s;

    &.focused {
      width: 320px;
    }

    @include br-p($xs) {
      bottom: 5px;
      right: 5px;
      &.focused {
        z-index: 5;
        width: calc(100% - 20px);
      }
    }

    &__img{
        display: block;
        max-width: 100%;
    }
}

.nav {
  position: fixed;
  z-index: 3;
  bottom: 0;
  left: 0;
  background: #ececec;
  color: #482215;
  width: 300px;
  border-top: 1px solid #00000020;

  &-list {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    &__item {
      padding: 15px 25px;
      flex: 1 1 auto;
      position: relative;
      text-align: center;
      display: flex;
      align-items: center;
      justify-content: center;
      background: #ececec;
      transition: $default-transition;

      &.active {
        transform: translateY(-25%);
      }

      @include br-p(991px, min) {
        cursor: pointer;
      }

      &:last-child {
        &::after {
          content: none;
        }
      }

      &::after {
        content: "";
        position: absolute;
        right: 0;
        top: 5%;
        height: 90%;
        width: 1px;
        background: #00000020;
      }
    }
  }
}

.settings-bar {
  position: fixed;
  z-index: 2;
  top: 0;
  left: 0;
  height: 100%;
  padding: 40px 20px 100px;
  background: #ececec;
  width: 300px;
  transform: translateX(-100%);
  transition: $default-transition;

  &.active {
    transform: translateX(0%);
  }

  &__item {
    
  }
}


.options{
    display: flex;
    flex-wrap: wrap;
    padding: 40px 0 20px;
    margin: 0 -10px;
}

.option {
    padding: 10px;

    &__item {
        
    }

    &__box{
        cursor: pointer;
        border: solid #00000030;
        border-width: 0 0 1px 0;
        
        &_color{
            border-width: 1px;
            width: 40px;
            height: 40px;
        }
    }
}

